{% extends 'admin/base.html.twig' %}

{% block stylesheets %}
    {{ encore_entry_link_tags('app_admin_thesis_list_all') }}
{% endblock %}

{% block body %}
    {% include 'admin/views/title.html.twig' with {name: 'Thesis', description: 'List all thesis'} %}
    {% include 'admin/views/submenu.html.twig' with {submenu: menu.submenu} %}
    <div class="sub-block" data-controller="admin--thesis--list--base admin--thesis--list--search">
        <div class="thesis-list-nav">
            <div class="thesis-list-nav__count">
                <p>Total: <b><span data-admin--thesis--list--search-target="listCount">{{ count }}</span></b></p>
            </div>
            <div class="thesis-list-nav__menu">
                <a href="{{ path('app_admin_thesis_create') }}" class="btn-green"><i class="fa-solid fa-plus nav-icon"></i> Create</a>
                <button class="btn-red"
                        data-action="admin--thesis--list--base#deleteThesis"
                        data-admin--thesis--list--base-url-delete-param="{{ path('app_admin_thesis_delete') }}"
                >
                    <i class="fa-solid fa-trash nav-icon"></i> Delete
                </button>
            </div>
        </div>
        <div class="search-container">
            <form>
                <div class="search">
                    <div class="search__item">
                        <input type="text" placeholder="Enter source url"
                               data-admin--thesis--list--search-target="inputUrl"
                               data-action="input->admin--thesis--list--search#showBtnClose"
                        />
                        <span class="search__btn-clear"
                              data-action="click->admin--thesis--list--search#clearSearchInput"
                        ><i class="fa-solid fa-xmark"></i></span>
                    </div>
                    <div class="search__item">
                        <input type="text" placeholder="Enter search query"
                               data-admin--thesis--list--search-target="inputQuery"
                               data-action="input->admin--thesis--list--search#showBtnClose"
                        />
                        <span class="search__btn-clear"
                              data-action="click->admin--thesis--list--search#clearSearchInput"
                        ><i class="fa-solid fa-xmark"></i></span>
                    </div>
                    <div>
                        <button class="btn-blue-dark"
                                data-action="admin--thesis--list--search#searchByContext"
                                data-admin--thesis--list--search-url-param="{{ path('app_admin_list_all_search_by_context') }}"
                        ><i class="fa-solid fa-magnifying-glass nav-icon"></i> Search</button>
                    </div>
                </div>
            </form>
        </div>
        <div>
{#            <script type="text/javascript" src="https://ssl.gstatic.com/trends_nrtr/3045_RC01/embed_loader.js"></script> <script type="text/javascript"> trends.embed.renderWidget("dailytrends", "", {"geo":"UA","guestPath":"https://trends.google.ru:443/trends/embed/"}); </script>#}
            {% include 'admin/thesis/list/all/list.html.twig' %}
            <div class="list-message" data-admin--thesis--list--search-target="listMessage">
                <p>Theses not found</p>
            </div>
{#            {% if docs is not empty %}#}
{#            <div class="load-more" data-admin--thesis--list--search-target="listBtnLoadMore">#}
{#                <button class="load-more__btn-load">Load more</button>#}
{#                <div class="btn-preloader">#}
{#                    <div class="loadingio-spinner-dual-ring-wj8p4dlk8cn">#}
{#                        <div class="ldio-4d5nlgxecws">#}
{#                            <div></div><div><div></div></div>#}
{#                        </div>#}
{#                    </div>#}
{#                </div>#}
{#            </div>#}
{#            {% endif %}#}
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('app_admin_thesis_list_all') }}
{% endblock %}